INITRDFS(8)

NAME
initrdfs - view initialization ramdisk

SYNOPSIS
initrdfs initrd cat path ...
initrdfs initrd extract [-C destination] path ...
initrdfs initrd ls [-a] path ...

DESCRIPTION
initrdfs opens a initrd(7) made with mkinitrd(8) and lets you view the stored directories and files.

The options are as follows:

-a  (ls) Include directory entries whose names begin with a dot (‘’)..

-C destination
    (extract) Extract to the specified destination rather than the default current directory.

initrdfs supports these commands:

cat Show the contents of each path.

extract
    Extract each path recursively to the current directory.

ls  List each directory path.

EXIT STATUS
initrdfs will exit 0 on success and non-zero otherwise.

SEE ALSO
initrd(7), mkinitrd(8)

BUGS
initrdfs is feature limited and doesn't let you view all the contained meta information. It's also not a filesystem driver.